Author Topic: Can't Install SlickEdit Plug-In  (Read 9282 times)

Ryan

  • SlickEdit Team Member
  • Senior Community Member
  • *
  • Posts: 986
  • Hero Points: 77
Re: Can't Install SlickEdit Plug-In
« Reply #15 on: April 20, 2012, 03:24:22 pm »
Ok, so from the .metadata/.log file I can see that there were a few exceptions thrown from SlickEdit when you were starting up the product without a license...then that went away.  There is one exception I see lower down where it looks like you had some file open in a non-SlickEdit editor and then did a manual "Switch to SlickEdit", and we failed to open the file.  I'm not sure why, but I don't see any more of that in the log so I don't think it was a real big problem.

As far as non-SlickEdit stuff...there are a ton of exceptions logged in there from when it looks like there was a text search going on and for whatever reason some of the files in the project(s) are unreadable.  I'm curious, are the files in your workspace local or are they on a network drive?

Now for the worse part...unfortunately I can see from the JVM crash logs that SlickEdit is definitely crashing, probably causing the mysterious crashes you are complaining about since installing the plugin.  It is happening in the same exact spot each time, but I've never seen this before...it is likely some artifact of interaction with this particular Eclipse-based IDE.  It is crashing when the editor is updating the existing markers in the current file.  Can you tell me anything about what kinds of files you are editing with SlickEdit in this IDE, and if possible, what markers you are seeing in the editor?  For example, are you setting breakpoints, or bookmarks?  Maybe it is just build errors which are populated by the IDE?  Any information might help.

Thanks,

Ryan

ignisuti

  • Community Member
  • Posts: 11
  • Hero Points: 1
Re: Can't Install SlickEdit Plug-In
« Reply #16 on: April 24, 2012, 11:22:51 pm »
Ryan, I'm really not doing any out of the normal editing of .c and .h files. Just your basic C coding. Not really using any bookmarks or anything like that. I played with it for a bit when I first installed SlickEdit, but I haven't touched them since.

I really appreciate all your time on this, but the crashing is causing me to loose too much work. I need to uninstall it. Perhaps evaluating the stand-alone SlickEdit app is where I need to go next.

Ryan

  • SlickEdit Team Member
  • Senior Community Member
  • *
  • Posts: 986
  • Hero Points: 77
Re: Can't Install SlickEdit Plug-In
« Reply #17 on: April 25, 2012, 02:22:00 pm »
Right...I was just wondering if there were errors/warnings added by the IDE which we weren't handling correctly.  I thought this was the most likely scenario, but I can't be sure.  I was trying to just get a better feel for what was tripping up the marker mechanism so badly.

I understand your frustration, and hopefully I will get my hands on at least a trial version of the IDE soon and then I can look into this problem for our next release.

Thanks for your time,

Ryan

ignisuti

  • Community Member
  • Posts: 11
  • Hero Points: 1
Re: Can't Install SlickEdit Plug-In
« Reply #18 on: April 25, 2012, 04:45:22 pm »
Ryan, the IDE I'm using can be downloaded from here:
http://www.freescale.com/webapp/sps/site/overview.jsp?code=CW_EVALS
I'm using the one that says "Evaluation: CodeWarrior for Microcontrollers 10.2 (Eclipse, Windows-hosted)"

The trial license lasts 30 days, but once that expires, you'll still have full functionality minus the ability to compile large (I believe anything bigger than 128kb) projects.

Also, I still can not uninstall this SlickEdit plugin. Your instructions earlier on told me to go to "Help > About Eclipse SDK". My IDE does not have this option. Any other thoughts? I'm about ready to uninstall my IDE and re-install it.

Thanks again for all your support.

Ryan

  • SlickEdit Team Member
  • Senior Community Member
  • *
  • Posts: 986
  • Hero Points: 77
Re: Can't Install SlickEdit Plug-In
« Reply #19 on: April 25, 2012, 05:08:18 pm »
Thanks for the link.

There is another way you can get to the same screen...does your IDE have Help > Install New Softaware?  If so, do that, and click the already installed link toward the bottom of the dialog that comes up.  Then, on the 'Installed Software' tab you should be able to select 'SlickEdit Core' and click Uninstall.

If that is not there, or if Eclipse does a poor job of uninstalling/cleaning up...you can try closing Eclipse and manually nuking all the com.slickedit.* plugins at ECLIPSEDIR/plugins, and also all the com.slickedit.* features at ECLIPSE/features.

Hope this helps,

Ryan

ignisuti

  • Community Member
  • Posts: 11
  • Hero Points: 1
Re: Can't Install SlickEdit Plug-In
« Reply #20 on: April 25, 2012, 05:30:15 pm »
I have that menu, but nothing in there mentioned SlickEdit. Not even the Installation History tab.